### DB_SEQUENCE->open |

`

###

    #include <db.h>

    int
    DB_SEQUENCE->open(DB_SEQUENCE *seq, DB_TXN *txnid, DBT *key, u_int32_t flags);

    int
    DB_SEQUENCE->get_dbp(DB_SEQUENCE *seq, DB **dbp);

    int
    DB_SEQUENCE->get_key(DB_SEQUENCE *seq, DBT *key);

    int

### Description: DB_SEQUENCE->open

The DB_SEQUENCE->open method opens the sequence represented by the key. The key must be compatible with the underlying database specified in the corresponding call to db_sequence_create.

### Parameters

key
  The key specifies which record in the database stores the persistent sequence data.
flags
  The flags parameter must be set to 0 or by bitwise inclusively OR'ing together one or more of the following values:
  DB_CREATE
    Create the sequence. If the sequence does not already exist and the DB_CREATE flag is not specified, the DB_SEQUENCE->open will fail.
  DB_EXCL
    Return an error if the sequence already exists. The DB_EXCL flag is only meaningful when specified with the DB_CREATE flag.
  DB_THREAD
    Cause the DB_SEQUENCE handle returned by DB_SEQUENCE->open to be free-threaded; that is, usable by multiple threads within a single address space. Note that if multiple threads create multiple sequences using the same database handle that handle must have been opened specifying DB_THREAD.
txnid
  If the operation is part of an application-specified transaction, the txnid parameter is a transaction handle returned from DB_ENV->txn_begin; otherwise NULL. If no transaction handle is specified, but the operation occurs in a transactional database, the operation will be implicitly transaction protected. Transactionally protected operations on a DB_SEQUENCE handle require the DB_SEQUENCE handle itself be transactionally protected during its open if the open creates the sequence.

### Description: DB_SEQUENCE->get_dbp

The DB_SEQUENCE->get_dbp method returns the database handle.

### Parameters

dbp
  The dbp parameter references memory into which a pointer to the database handle is copied.

The DB_SEQUENCE->get_dbp method may be called at any time during the life of the application.

The DB_SEQUENCE->get_dbp method returns a non-zero error value on failure and 0 on success.

### Description: DB_SEQUENCE->get_key

The DB_SEQUENCE->get_key method returns the key for the sequence.

### Parameters

key
  The key parameter references memory into which a pointer to the key data is copied.

The DB_SEQUENCE->get_key method may be called at any time during the life of the application.

The DB_SEQUENCE->get_key method returns a non-zero error value on failure and 0 on success.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.